IMG_isPCX(3)

NAME
IMG_isPCX - Detect PCX image data on a readable/seekable SDL_IOStream.

SYNOPSIS
#include <SDL3_image/SDL_image.h>

bool IMG_isPCX(SDL_IOStream *src);

DESCRIPTION
This function attempts to determine if a file is a given filetype, reading the least amount possible from the SDL_IOStream (usually a few bytes).

There is no distinction made between "not the filetype in question" and basic i/o errors.

This function will always attempt to seek src back to where it started when this function was called, but it will not report any errors in doing so, but assuming seeking works, this means you can immediately use this with a different IMG_isTYPE function, or load the image without further seeking.

You do not need to call this function to load data; SDL_image can work to determine file type in many cases in its standard load functions.

FUNCTION PARAMETERS

src a seekable/readable SDL_IOStream to provide image data.

RETURN VALUE
Returns true if this is PCX data, false otherwise.

AVAILABILITY
This function is available since SDL_image 3.0.0.

SEE ALSO
IMG_isANI(3), IMG_isAVIF(3), IMG_isBMP(3), IMG_isCUR(3), IMG_isGIF(3), IMG_isICO(3), IMG_isJPG(3), IMG_isJXL(3), IMG_isLBM(3), IMG_isPNG(3), IMG_isPNM(3), IMG_isQOI(3), IMG_isSVG(3), IMG_isTIF(3), IMG_isWEBP(3), IMG_isXCF(3), IMG_isXPM(3), IMG_isXV(3)